Subject: Re: asm-offsets.c

From: Sean MacLennan <[email-masked]>
Date: Thu, 07 Feb 2008 02:26:34 -0500

Nathan Lynch wrote:
> CLOCK_REALTIME_RES is defined in include/asm/asm-offsets.h, which is
> generated from asm-offsets.c as part of the build.
>
> Your config builds fine here, so please post the actual error that you
> are seeing during the build?
>   
Mine is off one line from Christoph's because I have the patch I posted 
installed. I just comment out the #ifdef to get the error. Here is the 
output after a make clean.

make -C /home/seanm/taco/for-2.6.25/ 
make: Entering directory `/home/seanm/taco/for-2.6.25'
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/basic/docproc
  CC      arch/powerpc/kernel/asm-offsets.s
arch/powerpc/kernel/asm-offsets.c: In function 'main':
arch/powerpc/kernel/asm-offsets.c:317: warning: asm operand 0 probably doesn't match constraints
arch/powerpc/kernel/asm-offsets.c:317: error: impossible constraint in 'asm'
make[1]: *** [arch/powerpc/kernel/asm-offsets.s] Error 1
make: *** [prepare0] Error 2
make: Leaving directory `/home/seanm/taco/for-2.6.25'

Compilation exited abnormally with code 2 at Thu Feb  7 02:24:13

The warp was originally called the taco, thus the directory name.

Cheers,
   Sean